diff options
author | Michal Marek <mmarek@suse.cz> | 2012-07-07 17:04:40 -0400 |
---|---|---|
committer | Michal Marek <mmarek@suse.cz> | 2012-07-07 17:33:31 -0400 |
commit | 5369f55021feb27a1481267e7afefe14128d669f (patch) | |
tree | 3bc9329a94f37875f24de5cf7dee74c42e3c657a | |
parent | f8f5701bdaf9134b1f90e5044a82c66324d2073f (diff) |
kbuild: Print errors to stderr
... at least in the top-level Makefile and scripts/link-vmlinux.sh.
There are some more instances of the 'echo <error>; exit 1' pattern in
some arch Makefiles and kconfig.
Reported-by: Linus Torvalds <torvalds@linux-foundation.org>
Signed-off-by: Michal Marek <mmarek@suse.cz>
-rw-r--r-- | Makefile | 24 | ||||
-rw-r--r-- | scripts/link-vmlinux.sh | 4 |
2 files changed, 14 insertions, 14 deletions
@@ -535,11 +535,11 @@ PHONY += include/config/auto.conf | |||
535 | 535 | ||
536 | include/config/auto.conf: | 536 | include/config/auto.conf: |
537 | $(Q)test -e include/generated/autoconf.h -a -e $@ || ( \ | 537 | $(Q)test -e include/generated/autoconf.h -a -e $@ || ( \ |
538 | echo; \ | 538 | echo >&2; \ |
539 | echo " ERROR: Kernel configuration is invalid."; \ | 539 | echo >&2 " ERROR: Kernel configuration is invalid."; \ |
540 | echo " include/generated/autoconf.h or $@ are missing.";\ | 540 | echo >&2 " include/generated/autoconf.h or $@ are missing.";\ |
541 | echo " Run 'make oldconfig && make prepare' on kernel src to fix it."; \ | 541 | echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \ |
542 | echo; \ | 542 | echo >&2 ; \ |
543 | /bin/false) | 543 | /bin/false) |
544 | 544 | ||
545 | endif # KBUILD_EXTMOD | 545 | endif # KBUILD_EXTMOD |
@@ -796,8 +796,8 @@ prepare3: include/config/kernel.release | |||
796 | ifneq ($(KBUILD_SRC),) | 796 | ifneq ($(KBUILD_SRC),) |
797 | @$(kecho) ' Using $(srctree) as source for kernel' | 797 | @$(kecho) ' Using $(srctree) as source for kernel' |
798 | $(Q)if [ -f $(srctree)/.config -o -d $(srctree)/include/config ]; then \ | 798 | $(Q)if [ -f $(srctree)/.config -o -d $(srctree)/include/config ]; then \ |
799 | echo " $(srctree) is not clean, please run 'make mrproper'"; \ | 799 | echo >&2 " $(srctree) is not clean, please run 'make mrproper'"; \ |
800 | echo " in the '$(srctree)' directory.";\ | 800 | echo >&2 " in the '$(srctree)' directory.";\ |
801 | /bin/false; \ | 801 | /bin/false; \ |
802 | fi; | 802 | fi; |
803 | endif | 803 | endif |
@@ -971,11 +971,11 @@ else # CONFIG_MODULES | |||
971 | # --------------------------------------------------------------------------- | 971 | # --------------------------------------------------------------------------- |
972 | 972 | ||
973 | modules modules_install: FORCE | 973 | modules modules_install: FORCE |
974 | @echo | 974 | @echo >&2 |
975 | @echo "The present kernel configuration has modules disabled." | 975 | @echo >&2 "The present kernel configuration has modules disabled." |
976 | @echo "Type 'make config' and enable loadable module support." | 976 | @echo >&2 "Type 'make config' and enable loadable module support." |
977 | @echo "Then build a kernel with module support enabled." | 977 | @echo >&2 "Then build a kernel with module support enabled." |
978 | @echo | 978 | @echo >&2 |
979 | @exit 1 | 979 | @exit 1 |
980 | 980 | ||
981 | endif # CONFIG_MODULES | 981 | endif # CONFIG_MODULES |
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh index cd9c6c6bb4c9..4629038c9e5a 100644 --- a/scripts/link-vmlinux.sh +++ b/scripts/link-vmlinux.sh | |||
@@ -210,8 +210,8 @@ if [ -n "${CONFIG_KALLSYMS}" ]; then | |||
210 | mksysmap ${kallsyms_vmlinux} .tmp_System.map | 210 | mksysmap ${kallsyms_vmlinux} .tmp_System.map |
211 | 211 | ||
212 | if ! cmp -s System.map .tmp_System.map; then | 212 | if ! cmp -s System.map .tmp_System.map; then |
213 | echo Inconsistent kallsyms data | 213 | echo >&2 Inconsistent kallsyms data |
214 | echo echo Try "make KALLSYMS_EXTRA_PASS=1" as a workaround | 214 | echo >&2 echo Try "make KALLSYMS_EXTRA_PASS=1" as a workaround |
215 | cleanup | 215 | cleanup |
216 | exit 1 | 216 | exit 1 |
217 | fi | 217 | fi |